from django.db import models


# article_1 - (comment_1, comment_2)
# comment_1 = comment_1.article
# comment_1 = comment_1.article_id

# article_1 = article_1.comment.all()

class Comment(models.Model):
    # article - object
    # article_id - id
    article = models.ForeignKey(
        'web.Article',
        on_delete=models.CASCADE,
        related_name='comments',

        verbose_name='Статья'
    )

    text = models.TextField(max_length=400, verbose_name='Текст')

    author = models.CharField(
        max_length=40,
        null=True,
        blank=True,
        default='Аноним',
        verbose_name='Автор'
    )

    created_at = models.DateTimeField(
        auto_now_add=True,
        verbose_name='Время создания'
    )

    updated_at = models.DateTimeField(
        auto_now=True,
        verbose_name='Время обновления'
    )

    class Meta:
        verbose_name = 'Комментарий'
        verbose_name_plural = 'Комментарии'

    def __str__(self):
        return f'{self.article.title}: {self.author} | {self.text[:30]}...'
